<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Sales</title>
</head>
<body>

    <table>
        <thead>
            <tr>
                <th> Name </th>
                <th> Price </th>
            </tr>
        </thead>
        <tbody>
            <!--            <tr th:if="${parts.empty}">-->
            <!--                <td colspan="2"> No Parts Available </td>-->
            <!--            </tr>-->
            <tr th:each="article : ${articles}">
                <td><span th:text="${article.articleName}"> Article Name </span></td>
                <td><span th:text="${article.price}"> Price </span></td>
                <td>
                    <!--                    <form action="#" th:action="@{/warehouse/deletePart}" th:object="${part}" method="post">-->
                    <!--                        <p><input type="submit" value="delete Part" />-->
                    <!--                    </form>-->
                    <a th:href="@{/sales/deleteArticle(articleId=${article.id})}">Delete Article</a>
                    <!--                    GET /warehouse/deletePart/?partId=0a32kjdd-12342-dskfjs23r3-d32r2f4-->
                </td>
            </tr>
        </tbody>
    </table>

    <table>
        <thead>
            <tr>
                <th> ID </th>
                <th> Start Date </th>
                <th> End Date </th>
                <th> Percentage </th>
            </tr>
        </thead>
        <tbody>
            <!--            <tr th:if="${parts.empty}">-->
            <!--                <td colspan="2"> No Parts Available </td>-->
            <!--            </tr>-->
            <tr th:each="discount : ${discounts}">
                <td><span th:text="${discount.id}"> ID </span></td>
                <td><span th:text="${discount.startDate}"> Start Date </span></td>
                <td><span th:text="${discount.endDate}"> End Date </span></td>
                <td><span th:text="${discount.percentage}"> Percentage </span></td>
                <td>
                    <a th:href="@{/sales/deleteDiscount(discountId=${discount.id})}">Delete discount</a>
                    <!--                    GET /warehouse/deletePart/?partId=0a32kjdd-12342-dskfjs23r3-d32r2f4-->
                </td>
            </tr>
        </tbody>
    </table>

    <div th:align="center">
        <form action="#" th:action="@{/sales/addArticle}" th:object="${articles}">
            <input type="submit" value="addArticle">
        </form>
    </div>

    <div th:align="center">
        <form action="#" th:action="@{/sales/addDiscount}" th:object="${discounts}">
            <input type="submit" value="addDiscount">
        </form>
    </div>


</body>
</html>